#
# spec file for package terminatorx
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           terminatorX
Version:        4.0.1
Release:        3.42
Summary:        Real-time Audio Synthesizer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://terminatorx.org/
Source0:        https://terminatorx.org/dist/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  ladspa-devel
BuildRequires:  mpg123
BuildRequires:  pkgconfig
BuildRequires:  scrollkeeper
BuildRequires:  sox
BuildRequires:  update-desktop-files
BuildRequires:  vorbis-tools
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(zlib)
Requires:       ladspa
Requires:       mpg123
Requires:       sox
Requires:       vorbis-tools
Provides:       terminatorx

%description
Realtime audio synthesizer that allows you to "scratch" on digitally
sampled audio data (*.wav, *.au, *.mp3, etc.) the way hiphop-DJs
scratch on vinyl records. It features multiple turntables, realtime
effects (built-in as well as LADSPA plugin effects), a sequencer and an
easy-to-use GTK+ GUI.

%prep
%setup -q

sed -i 's/lib\//%{_lib}\//g' $(grep -rl '\/lib\/' .)

%build
CFLAGS="%{optflags} -fno-strict-aliasing"
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -r %{name} AudioVideo Audio AudioVideoEditing
%fdupes -s %{buildroot}%{_datadir}

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README* THANKS TODO
%{_bindir}/%{name}
%{_datadir}/appdata
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome
%{_datadir}/icons
%{_mandir}/man?/%{name}.?%{ext_man}
%{_datadir}/mime-info
%{_datadir}/omf
%{_datadir}/pixmaps

%changelog
* Sun Dec 18 2016 avvissu@yandex.by
- Initial release
